// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Printer的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Printer_PlantNr = grmi.NewField("PlantNr", "Printer.PlantNr", "plantnr", grmi.TypeInt)
var Printer_PrinterId = grmi.NewField("PrinterId", "Printer.PrinterId", "printerid", grmi.TypeString)
var Printer_Descr = grmi.NewField("Descr", "Printer.Descr", "descr", grmi.TypeString)
var Printer_PrinterType = grmi.NewField("PrinterType", "Printer.PrinterType", "printertype", grmi.TypeString)
var Printer_PrinterName = grmi.NewField("PrinterName", "Printer.PrinterName", "printername", grmi.TypeString)
var Printer_IpAddress = grmi.NewField("IpAddress", "Printer.IpAddress", "ipaddress", grmi.TypeString)
var Printer_Active = grmi.NewField("Active", "Printer.Active", "active", grmi.TypeInt)
var Printer_PrinterSpec = grmi.NewField("PrinterSpec", "Printer.PrinterSpec", "printerspec", grmi.TypeString)
var Printer_PageSize = grmi.NewField("PageSize", "Printer.PageSize", "pagesize", grmi.TypeString)
var Printer_Port = grmi.NewField("Port", "Printer.Port", "port", grmi.TypeInt)
var Printer_PrintInterval = grmi.NewField("PrintInterval", "Printer.PrintInterval", "printinterval", grmi.TypeInt)
var Printer_LastModify = grmi.NewField("LastModify", "Printer.LastModify", "lastmodify", grmi.TypeDateTime)
var Printer_LastUser = grmi.NewField("LastUser", "Printer.LastUser", "lastuser", grmi.TypeString)
var Printer_CreateTime = grmi.NewField("CreateTime", "Printer.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Printer的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Printer = grmi.NewEntity(
	"Printer",
	func() interface{} { return &model.Printer{} },
	map[string]grmi.Field{
		Printer_PlantNr.Name:       Printer_PlantNr,
		Printer_PrinterId.Name:     Printer_PrinterId,
		Printer_Descr.Name:         Printer_Descr,
		Printer_PrinterType.Name:   Printer_PrinterType,
		Printer_PrinterName.Name:   Printer_PrinterName,
		Printer_IpAddress.Name:     Printer_IpAddress,
		Printer_Active.Name:        Printer_Active,
		Printer_PrinterSpec.Name:   Printer_PrinterSpec,
		Printer_PageSize.Name:      Printer_PageSize,
		Printer_Port.Name:          Printer_Port,
		Printer_PrintInterval.Name: Printer_PrintInterval,
		Printer_LastModify.Name:    Printer_LastModify,
		Printer_LastUser.Name:      Printer_LastUser,
		Printer_CreateTime.Name:    Printer_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "PrinterType", "PrinterName", "IpAddress", "Active", "PrinterSpec", "PageSize", "Port", "PrintInterval", "LastUser"})
